cURL
curl 'https://api.tenderly.co/api/v1/supported-networks' \
-H 'content-type: application/json' import requests
url = "https://api.tenderly.co/api/v1/supported-networks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tenderly.co/api/v1/supported-networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"network_name": "Conflux eSpace",
"chain_id": "1030",
"network_slugs": {
"explorer_slug": "cfx-espace",
"node_rpc_slug": "cfx-espace",
"vnet_rpc_slug": "cfx-espace"
},
"supported_features": {
"virtual_testnet": true,
"node": true,
"explorer": true,
"simulator": true,
"monitoring": true
}
},
{
"network_name": "Metis Andromeda",
"chain_id": "1088",
"network_slugs": {
"explorer_slug": "metis-andromeda",
"node_rpc_slug": "metis-andromeda",
"vnet_rpc_slug": ""
},
"supported_features": {
"virtual_testnet": false,
"node": true,
"explorer": true,
"simulator": true,
"monitoring": true
}
},
{
"network_name": "Shape Sepolia",
"chain_id": "11011",
"network_slugs": {
"explorer_slug": "shape-sepolia",
"node_rpc_slug": "",
"vnet_rpc_slug": ""
},
"supported_features": {
"virtual_testnet": false,
"node": false,
"explorer": true,
"simulator": true,
"monitoring": true
}
}
]{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Other
Check supported networks
The endpoint returns the list of networks that are currently supported on the Tenderly platform and also returns information about features these networks are supported on as well as corresponding network slugs users can use for integration with Tenderly.
GET
/
v1
/
supported-networks
cURL
curl 'https://api.tenderly.co/api/v1/supported-networks' \
-H 'content-type: application/json' import requests
url = "https://api.tenderly.co/api/v1/supported-networks"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.tenderly.co/api/v1/supported-networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"network_name": "Conflux eSpace",
"chain_id": "1030",
"network_slugs": {
"explorer_slug": "cfx-espace",
"node_rpc_slug": "cfx-espace",
"vnet_rpc_slug": "cfx-espace"
},
"supported_features": {
"virtual_testnet": true,
"node": true,
"explorer": true,
"simulator": true,
"monitoring": true
}
},
{
"network_name": "Metis Andromeda",
"chain_id": "1088",
"network_slugs": {
"explorer_slug": "metis-andromeda",
"node_rpc_slug": "metis-andromeda",
"vnet_rpc_slug": ""
},
"supported_features": {
"virtual_testnet": false,
"node": true,
"explorer": true,
"simulator": true,
"monitoring": true
}
},
{
"network_name": "Shape Sepolia",
"chain_id": "11011",
"network_slugs": {
"explorer_slug": "shape-sepolia",
"node_rpc_slug": "",
"vnet_rpc_slug": ""
},
"supported_features": {
"virtual_testnet": false,
"node": false,
"explorer": true,
"simulator": true,
"monitoring": true
}
}
]{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "resource_not_found",
"message": "The resource you requested could not be found."
}
}{
"error": {
"id": "596b1dc7-af60-477b-aab3-6c93eb92ddfa",
"slug": "internal_server_error",
"message": "Internal server error"
}
}Response
A successful response.
Example:
[ { "network_name": "Conflux eSpace", "chain_id": "1030", "network_slugs": { "explorer_slug": "cfx-espace", "node_rpc_slug": "cfx-espace", "vnet_rpc_slug": "cfx-espace" }, "supported_features": { "virtual_testnet": true, "node": true, "explorer": true, "simulator": true, "monitoring": true } }, { "network_name": "Metis Andromeda", "chain_id": "1088", "network_slugs": { "explorer_slug": "metis-andromeda", "node_rpc_slug": "metis-andromeda", "vnet_rpc_slug": "" }, "supported_features": { "virtual_testnet": false, "node": true, "explorer": true, "simulator": true, "monitoring": true } }, { "network_name": "Shape Sepolia", "chain_id": "11011", "network_slugs": { "explorer_slug": "shape-sepolia", "node_rpc_slug": "", "vnet_rpc_slug": "" }, "supported_features": { "virtual_testnet": false, "node": false, "explorer": true, "simulator": true, "monitoring": true } } ]
Was this page helpful?
⌘I